zabbix_export:
  version: '7.4'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  host_groups:
    - uuid: f2481361f99448eea617b7b1d4765566
      name: 'Discovered hosts'
  templates:
    - uuid: b6ea3d598f474e46a18542040a4317ac
      template: '111 Tempate for deletion'
      name: '111 Tempate for deletion'
      groups:
        - name: Templates
      discovery_rules:
        - uuid: 48ce7ba5242740629eb52dbc75d858c0
          name: '3rd level LLD'
          type: NESTED
          key: 'lld_trap[{#L0},{#L1},{#L2}]'
          item_prototypes:
            - uuid: d7e11a3aa8e943fb9e04d5c2601f8127
              name: '3rd Level item prototype {#L0} {#L1} {#L2} {#L3}'
              type: TRAP
              key: 'trap3[{#L0},{#L1},{#L2},{#L3}]'
              tags:
                - tag: otigin
                  value: 'item prototype'
              trigger_prototypes:
                - uuid: e6ddd6336ea047e8b861f0702daa5115
                  expression: 'last(/111 Tempate for deletion/trap3[{#L0},{#L1},{#L2},{#L3}])<>3'
                  name: '3rd level Trigger prototype {#L0} {#L1} {#L2} {#L3}'
                  priority: HIGH
                  tags:
                    - tag: otigin
                      value: 'trigger prototype'
          graph_prototypes:
            - uuid: cb2445dcd86042ae88e719f338e66c55
              name: '1st level Graph prototype {#L0} {#L1} {#L2} {#L3}'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: '111 Tempate for deletion'
                    key: 'trap3[{#L0},{#L1},{#L2},{#L3}]'
          host_prototypes:
            - uuid: 7cbee614b6464ab89b8a748ac5331836
              host: '3rd Level Host prototype {#L0} {#L1} {#L2} {#L3}'
              name: '3rd Level Host prototype {#L0} {#L1} {#L2} {#L3}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          parent_discovery_rule:
            key: 'lld_trap[{#L0},{#L1}]'
          lld_macro_paths:
            - lld_macro: '{#L3}'
              path: $.level_3
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_3
        - uuid: 1ccf4a79ff674ea0845366692c51aa91
          name: '2nd level LLD'
          type: NESTED
          key: 'lld_trap[{#L0},{#L1}]'
          filter:
            conditions:
              - macro: '{#L2}'
                value: _Level2_1_
          item_prototypes:
            - uuid: dda1f16cede44b778379331ab5cdb448
              name: '2nd level Item prototype'
              type: TRAP
              key: 'trap2[{#L0},{#L1},{#L2}]'
              trigger_prototypes:
                - uuid: fa4e3706e79c417aaa0e4a8daeb7b675
                  expression: 'last(/111 Tempate for deletion/trap2[{#L0},{#L1},{#L2}])<>2'
                  name: '2nd level trigger prototype'
                  priority: WARNING
            - uuid: 83402d9637a04e8a89b93a60efb6a5f4
              name: '2nd level Item prototype - DO NOT DISCOVER'
              type: TRAP
              key: 'trap777[{#L0},{#L1},{#L2}]'
              discover: NO_DISCOVER
              allowed_hosts: '{HOST.HOST},127.0.0.1,localhost'
              units: '!@#$%^&*(+_)(*&^%$#'
              description: |
                vbghtruk,j
                h
                m
                hm
                mh
                hm
                jh
          graph_prototypes:
            - uuid: 7acff6ad38d44eaf8f1739e30d5e1840
              name: '2nd level Graph prototype {#L0} {#L1} {#L2}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: '111 Tempate for deletion'
                    key: 'trap2[{#L0},{#L1},{#L2}]'
          host_prototypes:
            - uuid: f4bd776b726e4661964cc42faa93e2f0
              host: '2nd level host prototype {#L0} {#L1} {#L2}'
              name: '2nd level host prototype {#L0} {#L1} {#L2}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          parent_discovery_rule:
            key: 'lld_trap[{#L0}]'
          lld_macro_paths:
            - lld_macro: '{#L2}'
              path: $.level_2
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_2
        - uuid: 7f7c6a9f9a594644a0afb15cd3f34997
          name: '1st level LLD'
          type: NESTED
          key: 'lld_trap[{#L0}]'
          item_prototypes:
            - uuid: 08e650b38b384e73b02efbb756121cd5
              name: '1st level item prototype'
              type: TRAP
              key: 'trap1[{#L0},{#L1}]'
              trigger_prototypes:
                - uuid: 5ed441c478f0464093bf63df72621570
                  expression: 'last(/111 Tempate for deletion/trap1[{#L0},{#L1}])<>1'
                  name: '1st level Trigger prototype {#L0} {#L1}'
                  priority: WARNING
          graph_prototypes:
            - uuid: b5400b307ae54e608e55fd8d3ff6ddaf
              name: '1st level Graph prototype {#L0} {#L1}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: '111 Tempate for deletion'
                    key: 'trap1[{#L0},{#L1}]'
          host_prototypes:
            - uuid: 2296b6aa9b27445d8cc3a8a19cfe4743
              host: '1st Level Host prototype {#L0} {#L1}'
              name: '1st Level Host prototype {#L0} {#L1}'
              group_links:
                - group:
                    name: 'Discovered hosts'
              macros:
                - macro: '{$NESTED_HP_MACRO}'
                  value: 'nested HP macro value'
                  description: '1'
                - macro: '{$NESTED_HP_SECRET}'
                  description: '2'
                - macro: '{$NESTED_HP_VAULT}'
                  value: 'xxx/yyy:zzz'
                  description: '3'
          parent_discovery_rule:
            key: trap
          lld_macro_paths:
            - lld_macro: '{#L1}'
              path: $.level_1
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_1
        - uuid: 4d94b1e6e141486a9fdea5bb9461025a
          name: '0 level LLD'
          type: TRAP
          key: trap
          lifetime_type: DELETE_IMMEDIATELY
          item_prototypes:
            - uuid: 416d7100b8de4e9e9d9d7a81d11e49fb
              name: '0 level item prototype'
              type: TRAP
              key: 'trap0[{#L0}]'
              trigger_prototypes:
                - uuid: 0d8a4243a91046f09bad62d1f422e5a5
                  expression: 'last(/111 Tempate for deletion/trap0[{#L0}])<>0'
                  name: '0 level Trigger prototype'
                  priority: WARNING
          graph_prototypes:
            - uuid: 5c36f6a7ff7a4068aa28fb68a64a2cb0
              name: '0 level Graph prototype {#L0}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: '111 Tempate for deletion'
                    key: 'trap0[{#L0}]'
          host_prototypes:
            - uuid: 36c28588806840e6840c55614f08e32b
              host: '0 level Host prototype {#L0}'
              name: '0 level Host prototype {#L0}'
              group_links:
                - group:
                    name: 'Discovered hosts'
              macros:
                - macro: '{$HOST_PROTOTYPE_MACRO}'
                  value: 'host prototype macro value'
                - macro: '{$HOST_PROTOTYPE_SECRET}'
                - macro: '{$HOST_PROTOTYPE_VAULT}'
                  type: VAULT
                  value: 'that/path:keys'
          lld_macro_paths:
            - lld_macro: '{#L0}'
              path: $.level_0
      tags:
        - tag: otigin
          value: 'parent template'
      macros:
        - macro: '{$MACRO_TEMPLATE}'
          value: 'parent template'
          description: 'regular macro - template level'
        - macro: '{$SECRET_TEMPLATE}'
          description: 'secret macro - template level'
        - macro: '{$VAULT_TEMPLATE}'
          type: VAULT
          value: 'this/path:key'
          description: 'vault macro - template level'
